API Explorer 936 endpoints

Create ATM Attribute

POST /obp/v7.0.0/banks/BANK_ID/atms/ATM_ID/attributes

OBPv5.1.0-createAtmAttribute Roles: CanCreateAtmAttribute(per bank),CanCreateAtmAttributeAtAnyBank ATMATM-AttributeAttribute

Create ATM Attribute

The type field must be one of "STRING", "INTEGER", "DOUBLE", "DECIMAL", "BOOLEAN" and "DATE_WITH_DAY". Use "DECIMAL" rather than "DOUBLE" for rates, prices and amounts, because it holds the value exactly; "BOOLEAN" values are "true" or "false".

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

ATM_ID: atme-9a0f-4bfa-b30b-9003aa467f51

BANK_ID: gh.29.uk

JSON request body fields (4)
name
ACCOUNT_MANAGEMENT_FEE
type
value
5987953
is_active
false
JSON response body fields (7)
atm_attribute_id
xxaf2a-9a0f-4bfa-b30b-9003aa467f51
atm_id
atme-9a0f-4bfa-b30b-9003aa467f51
bank_id
gh.29.uk
name
ACCOUNT_MANAGEMENT_FEE
type
value
5987953
is_active
false
Example request body
{
  "name": "TAX_ID",
  "type": "INTEGER",
  "value": "12345678",
  "is_active": true
}
Example success response
{
  "bank_id": "gh.29.uk",
  "atm_id": "atme-9a0f-4bfa-b30b-9003aa467f51",
  "atm_attribute_id": "xxaf2a-9a0f-4bfa-b30b-9003aa467f51",
  "name": "ACCOUNT_MANAGEMENT_FEE",
  "type": "",
  "value": "5987953",
  "is_active": false
}
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv5.1.0 createAtmAttribute Originally /obp/v5.1.0/banks/BANK_ID/atms/ATM_ID/attributes